Description: Bonjour,

je n'arrive plus a compilerons Laatex mes gcm avec la version 1.3 d'’AMC alors que tout fonctionnait avec la
version 1.2.

voici un de mes fichiers.

Par avance merci pour votre aide

pf

History

11/10/2018 01:57 pm - Alexis Bienveniie
- Status changed from New to Feedback

Pouvez-vous préparer un exemple complet minimal qui montre le probléeme ?

11/10/2018 02:30 pm - pascal favard
- File L3CC1.log added

voici mon fichier log

11/10/2018 02:35 pm - Alexis Bienvenlie

Je veux dire : un fichier source le plus petit possible mais tout de méme complet (que I'on peut essayer sans rien ajouter), qui puisse montrer le
probléme que vous rencontrez. Vous pouvez partir de votre fichier source et enlever petit a petit tout ce qui n'est pas important : questions
surnuméraires, packages inutiles, code inutile, etc.

11/10/2018 02:36 pm - pascal favard
- File L3CC1.pdf added

voici le .pdf que j'obtiens en "forgant" la compilation. Il manque les lettre des question et sur la feuille réponse il y a =.15em qui apparait. Ce que je ne

comprends pas c'est que dans vos guides il ne semble pas qu'il y ait eu des disparition de commende entre les deux derniere versions.

11/10/2018 02:39 pm - pascal favard

Alexis Bienvenue wrote:

> Je veux dire : un fichier source le plus petit possible mais tout de méme complet (que I'on peut essayer sans rien ajouter), qui puisse montrer le
probleme que vous rencontrez. Vous pouvez partir de votre fichier source et enlever petit a petit tout ce qui n'est pas important : questions

surnuméraires, packages inutiles, code inutile, etc.
C'est un peu compliqué puisque je peux pas le compiler
11/10/2018 02:47 pm - Frédéric Bréal

ligne 317 a commenter et ¢a compile

<pre>
%\AMCcodeBoxSep=.15em

</pre>

Il faudrait vérifier si cette commande a été renommée ou supprimée.

11/10/2018 02:50 pm - pascal favard
Gérard Carpeaux wrote:
> ligne 317 a commenter et ga compile

>

> |l faudrait vérifier si cette commande a été renommée ou supprimée.

Effectivement ¢ca compile mais il n'y a pas les lettres des réponse sur la page question.

11/10/2018 03:01 pm - Frédéric Bréal
- File DOC-sujet.pdf added

AMC 1.4.0 version test, cela fonctionne chez moi.

11/10/2018 03:12 pm - Frédéric Bréal

D'aprés les archives
https://project.auto-multiple-choice.net/projects/auto-multiple-choice/repository/revisions/813676910d83/changes/doc/auto-multiple-choice.fr.in.xml
La commande a di étre effacée en 2016.

11/10/2018 04:07 pm - pascal favard
Gérard Carpeaux wrote:
> AMC 1.4.0 version test, cela fonctionne chez moi.

Est-ce logique que cela fonctionne avec la version test et pas avec la 1.3 ?

11/10/2018 06:35 pm - Frédéric Bréal

> Est-ce logique que cela fonctionne avec la version test et pas avec la 1.3 ?

Je ne sais pas.

Pouvez-vous essayer de faire un sujet avec le modéle proposé lors de la création du sujet ?

Cela permettra de vérifier si c'est AMC ou votre code qui pose probléme.

11/10/2018 06:38 pm - pascal favard
- File exp1.pdf added

j'ai fait le sujet du site voir fichier et gca ne marche pas non plus. Il n'y a les lettre dans les cases question.

On dirait que \def\AMCanswer#1#2{ \textbf{#1}) #2 \hspace{2pt}} ne fait plus son travail

11/10/2018 06:39 pm - pascal favard

le .tex

11/10/2018 06:40 pm - pascal favard
- File exp1.tex added

11/10/2018 06:48 pm - Frédéric Bréal
- File exp1.pdf.png added
Je n'utilise pas le mode ensemble donc je suis un peu perdu par rapport a votre demande.

Sur le fichier exp1.pdf il y a les lettres en minuscules dans les cases.

11/10/2018 06:52 pm - pascal favard

Gérard Carpeaux wrote:

> Je n'utilise pas le mode ensemble donc je suis un peu perdu par rapport a votre demande.
> Sur le fichier exp1.pdf il y a les lettres en minuscules dans les cases.

Non il n'y a pas les lettres sur les cases de la premiére page. Il n'y a pas A dans la case Claude Monet et.

11/10/2018 06:56 pm - pascal favard

pascal favard wrote:

> Gérard Carpeaux wrote:

> > Je n'utilise pas le mode ensemble donc je suis un peu perdu par rapport a votre demande.
> > Sur le fichier exp1.pdf il y a les lettres en minuscules dans les cases.

>

> Non il n'y a pas les lettres sur les cases de la premiére page. Il n'y a pas A dans la case Claude Monet et.

je viens de compiler exp1.tex sans le mode ensemble le probléme persiste.

11/10/2018 07:02 pm - Frédéric Bréal

Je viens de lire la documentation

<pre>

La présentation des réponses peut étre modifiée de la méme fagon, si on utilise I'environnement reponsesperso au lieu de
reponses ou reponseshoriz, en redéfinissant les trois macros LaTeX suivantes :

\def\AMCbeginAnswer{}

\def\AMCendAnswer{}

\def\AMCanswer#1#2{#1 #2}

</pre>

Il faut remplacer @reponses@ par @reponsesperso@.

11/10/2018 07:08 pm - pascal favard
Gérard Carpeaux wrote:

> Je viens de lire la documentation

> [..]

>

> |l faut remplacer @reponses@ par @reponsesperso@.

Oui je sais. Il fallait déja le faire avec les versions précédentes. Dans mes QCM je le fais. Effectivement j'avais pas vu que dans exp1. c'était pas fait.
Malheureusement ¢a résout pas le probléme.

11/10/2018 07:09 pm - pascal favard
- File exp1.tex added

- File exp1.pdf added

pascal favard wrote:

> Gérard Carpeaux wrote:

> > Je viens de lire la documentation

>>[.]
> >

> > |l faut remplacer @reponses@ par @reponsesperso@.

>

> Oui je sais. |l fallait déja le faire avec les versions précédentes. Dans mes QCM je le fais. Effectivement j'avais pas vu que dans exp1. c'était pas fait.
Malheureusement ¢a résout pas le probléme.

11/10/2018 07:18 pm - Frédéric Bréal
La je seche car, comme indiqué précédemment, cela compile chez moi. Méme en omettant @reponsesperso@.
Pouvez-lancer AMC en mode debugage et mettre le fichier log.

Alexis pourra mieux le lire que moi.

11/10/2018 08:23 pm - pascal favard
voisine fichier log lorsque je lance AMC avec le dernier exp1.tex

11/10/2018 08:24 pm - pascal favard
- File AMC-DEBUG-D4Iw9gJQ.log added

pascal favard wrote:
> voisine fichier log lorsque je lance AMC avec le dernier exp1.tex

11/11/2018 09:22 am - Frédéric Bréal

Je pense avoir trouvé a la ligne 79.

<pre>

* LaTeX warning: "kernel/deprecated-command"”

* The deprecated command "\tl_to_lowercase:n' has been or will be removed on
*2017-12-31.

</pre>

Je reprends ma réponse donnée "ici":https:/project.auto-multiple-choice.net/issues/604 au message 16.

> Essayez de changer a la ligne 1297 (a peu prés) dans le fichier automultiplechoice.sty en mode sudo (super-utilisateur).

>ll'y a eu des précédents : https://project.auto-multiple-choice.net/boards/4/topics/7219 et https://project.auto-multiple-choice.net/issues/544 et
https://project.auto-multiple-choice.net/boards/1/topics/6922

><pre>

\tl_to_lowercase:n

</pre>

>par

><pre>

\tex_lowercase:D

</pre>

11/12/2018 08:54 am - pascal favard

Merci Gérard j'avais vu ¢a sur le blog mais c'était pas "encore" ma priorité. Cette manip marche.

Je voulais d'abord compiler mon sujet sous latex. Et malheureusement je n'ai toujours pas les lettres dans les cases questions.
11/12/2018 09:02 am - pascal favard
Bonjour Alexis,

voici le fichier minimal.tex et le .pdf. Premiere page en rouge I'endroit ou les lettres manque.

11/12/2018 09:02 am - pascal favard
pascal favard wrote:

> Bonjour Alexis,

>

> voici le fichier minimal.tex et le .pdf. Premiere page en rouge I'endroit ou les lettres manque.

11/12/2018 09:04 am - pascal favard
- File exp1.tex added

- File DOC-sujet.pdf added
pascal favard wrote:

> pascal favard wrote:

> > Bonjour Alexis,

> >

> > voici le fichier minimal.tex et le .pdf. Premiere page en rouge I'endroit ou les lettres manque.

11/13/2018 11:53 am - pascal favard
Pour des raisons que je suis bien incapable de comprendre si on installe la version 1.4 d'AMC mon probleme est résolu.

Moi qui croyais que pour un nul en informatique il était toujours prudent d'installer la version stable...

Merci pour votre aide

Files

L3CC1.tex 11.7 kB 11/10/2018 pascal favard
L3CC1.log 48.8 kB 11/10/2018 pascal favard
L3CC1.pdf 130.4 kB 11/10/2018 pascal favard
DOC-sujet.pdf 102.7 kB 11/10/2018 Frédéric Bréal
exp1.pdf 173.1 kB 11/10/2018 pascal favard
exp1.tex 2.6 kB 11/10/2018 pascal favard
exp1.pdf.png 115.4 kB 11/10/2018 Frédéric Bréal
exp1.tex 2.6 kB 11/10/2018 pascal favard
exp1.pdf 173.6 kB 11/10/2018 pascal favard
AMC-DEBUG-D4Iw9gJQ.log 62.3 kB 11/10/2018 pascal favard
exp1.tex 2.6 kB 11/12/2018 pascal favard
DOC-sujet.pdf 174.6 kB 11/12/2018 pascal favard
